Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/src/OOO_Engine_allocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/src/OOO_Engine_allocation.cpp	(revision 123)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/src/OOO_Engine_allocation.cpp	(revision 135)
@@ -277,5 +277,5 @@
       {
         name = _name+"_rename_unit_"+toString(i);
-        log_printf(TRACE,OOO_Engine,FUNCTION,_("Create   : %s"),name.c_str());
+        log_printf(TRACE,OOO_Engine,FUNCTION,_("<%s> : Create   : %s"),_name.c_str(),name.c_str());
         
         _component_rename_unit [i] = new morpheo::behavioural::core::multi_ooo_engine::ooo_engine::rename_unit::Rename_unit
@@ -296,5 +296,5 @@
     {
       name = _name+"_commit_unit";
-      log_printf(TRACE,OOO_Engine,FUNCTION,_("Create   : %s"),name.c_str());
+      log_printf(TRACE,OOO_Engine,FUNCTION,_("<%s> : Create   : %s"),_name.c_str(),name.c_str());
       
       _component_commit_unit = new morpheo::behavioural::core::multi_ooo_engine::ooo_engine::commit_unit::Commit_unit
@@ -315,5 +315,5 @@
     {
       name = _name+"_issue_queue";
-      log_printf(TRACE,OOO_Engine,FUNCTION,_("Create   : %s"),name.c_str());
+      log_printf(TRACE,OOO_Engine,FUNCTION,_("<%s> : Create   : %s"),_name.c_str(),name.c_str());
       
       _component_issue_queue = new morpheo::behavioural::core::multi_ooo_engine::ooo_engine::issue_queue::Issue_queue
@@ -334,5 +334,5 @@
     {
       name = _name+"_reexecute_unit";
-      log_printf(TRACE,OOO_Engine,FUNCTION,_("Create   : %s"),name.c_str());
+      log_printf(TRACE,OOO_Engine,FUNCTION,_("<%s> : Create   : %s"),_name.c_str(),name.c_str());
       
       _component_reexecute_unit = new morpheo::behavioural::core::multi_ooo_engine::ooo_engine::reexecute_unit::Reexecute_unit
@@ -353,5 +353,5 @@
     {
       name = _name+"_special_register_unit";
-      log_printf(TRACE,OOO_Engine,FUNCTION,_("Create   : %s"),name.c_str());
+      log_printf(TRACE,OOO_Engine,FUNCTION,_("<%s> : Create   : %s"),_name.c_str(),name.c_str());
       
       _component_special_register_unit = new morpheo::behavioural::core::multi_ooo_engine::ooo_engine::special_register_unit::Special_Register_unit
@@ -372,5 +372,5 @@
     {
       name = _name+"_glue";
-      log_printf(TRACE,OOO_Engine,FUNCTION,_("Create   : %s"),name.c_str());
+      log_printf(TRACE,OOO_Engine,FUNCTION,_("<%s> : Create   : %s"),_name.c_str(),name.c_str());
       
       _component_glue = new morpheo::behavioural::core::multi_ooo_engine::ooo_engine::ooo_engine_glue::OOO_Engine_Glue
@@ -398,5 +398,5 @@
       {
         src = _name+"_rename_unit_"+toString(i);
-        log_printf(TRACE,OOO_Engine,FUNCTION,_("Instance : %s"),name.c_str());
+        log_printf(TRACE,OOO_Engine,FUNCTION,_("<%s> : Instance : %s"),_name.c_str(),src.c_str());
         
         {
@@ -746,5 +746,5 @@
     {
       src = _name+"_commit_unit";
-      log_printf(TRACE,OOO_Engine,FUNCTION,_("Instance : %s"),name.c_str());
+      log_printf(TRACE,OOO_Engine,FUNCTION,_("<%s> : Instance : %s"),_name.c_str(),src.c_str());
 	   
       {
@@ -1147,5 +1147,5 @@
     {
       src = _name+"_issue_queue";
-      log_printf(TRACE,OOO_Engine,FUNCTION,_("Instance : %s"),name.c_str());
+      log_printf(TRACE,OOO_Engine,FUNCTION,_("<%s> : Instance : %s"),_name.c_str(),src.c_str());
 	   
       {
@@ -1352,5 +1352,5 @@
     {
       src = _name+"_reexecute_unit";
-      log_printf(TRACE,OOO_Engine,FUNCTION,_("Instance : %s"),name.c_str());
+      log_printf(TRACE,OOO_Engine,FUNCTION,_("<%s> : Instance : %s"),_name.c_str(),src.c_str());
 	   
       {
@@ -1490,5 +1490,5 @@
     {
       src = _name+"_special_register_unit";
-      log_printf(TRACE,OOO_Engine,FUNCTION,_("Instance : %s"),name.c_str());
+      log_printf(TRACE,OOO_Engine,FUNCTION,_("<%s> : Instance : %s"),_name.c_str(),src.c_str());
 	   
       {
@@ -1571,5 +1571,5 @@
     {
       src = _name+"_glue";
-      log_printf(TRACE,OOO_Engine,FUNCTION,_("Instance : %s"),name.c_str());
+      log_printf(TRACE,OOO_Engine,FUNCTION,_("<%s> : Instance : %s"),_name.c_str(),src.c_str());
 	   
       {
